# QsciLexerIDL Class Reference

The QsciLexerIDL class encapsulates the Scintilla IDL lexer. More...

`#include <qscilexeridl.h>`

Inherits QsciLexerCPP.

List of all members.

## Public Member Functions

- QsciLexerIDL (QObject *parent=0)
- virtual ~QsciLexerIDL ()
- const char * language () const
- QColor defaultColor (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QsciLexerIDL class encapsulates the Scintilla IDL lexer.

## Constructor & Destructor Documentation

QsciLexerIDL::QsciLexerIDL | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerIDL with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerIDL::~QsciLexerIDL | ( |  | ) | `[virtual]`

Destroys the QsciLexerIDL instance.

## Member Function Documentation

const char* QsciLexerIDL::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QsciLexerCPP.

QColor QsciLexerIDL::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexerCPP.

const char* QsciLexerIDL::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerCPP.

QString QsciLexerIDL::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Reimplemented from QsciLexerCPP.